public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/nip2/
@ 2016-09-14 10:49 Andrew Savchenko
  0 siblings, 0 replies; 5+ messages in thread
From: Andrew Savchenko @ 2016-09-14 10:49 UTC (permalink / raw
  To: gentoo-commits

commit:     fc4c951e0b64156df6fc2b67e1081151a4bd30e0
Author:     Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 14 10:46:49 2016 +0000
Commit:     Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
CommitDate: Wed Sep 14 10:48:43 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fc4c951e

media-gfx/nip2: version bump, bug 453810

Package-Manager: portage-2.3.0
Signed-off-by: Andrew Savchenko <bircoph <AT> gentoo.org>

 media-gfx/nip2/Manifest           |  1 +
 media-gfx/nip2/nip2-7.38.1.ebuild | 75 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/media-gfx/nip2/Manifest b/media-gfx/nip2/Manifest
index 03084fb..0b3875d 100644
--- a/media-gfx/nip2/Manifest
+++ b/media-gfx/nip2/Manifest
@@ -1 +1,2 @@
 DIST nip2-7.26.4.tar.gz 8700478 SHA256 0344420f7da39efc7011e552528db9651ebbbe1c6d26b8c11d0ccfaae20f34a8 SHA512 4e1884681013ca86db7bd3d62f1a043540e724728de90cdcd5cab0589aa7eef473cc16bf61da3542ab1a53edeed4c25204a93a8fd149a8e76984766a06fae214 WHIRLPOOL b3ed25916b85a159c13fd042c4a6f3ebdb685b8a47fc693da3ead8158b3e7f8421106eae582647efabf6fca942995700aa063395446972adf8273e7cd0d6754c
+DIST nip2-7.38.1.tar.gz 9507197 SHA256 bc93fdb12b1415b9df863b932ab5fb7dd10e09622f954ac667174764d572d0ed SHA512 e5164a73a468d3aa90ef4c15d77243a285a8941393f5c3766fe83fcc4d518440ce4ac357acb75699e4877f7b47dc2c3e9097f67ed4080617af0a99e28721192f WHIRLPOOL 55865d7af8347e08efa9744d54514626d6d7d48c58e4fc45bc4bf182cde7f0ecd08882ff19c564b324ad4ec0dababfdc61292e2186d91c5d4da3658de568c392

diff --git a/media-gfx/nip2/nip2-7.38.1.ebuild b/media-gfx/nip2/nip2-7.38.1.ebuild
new file mode 100644
index 00000000..3672c4b
--- /dev/null
+++ b/media-gfx/nip2/nip2-7.38.1.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit fdo-mime gnome2-utils versionator
+
+MY_MAJ_VER=$(get_version_component_range 1-2)
+DESCRIPTION="VIPS Image Processing Graphical User Interface"
+SRC_URI="http://www.vips.ecs.soton.ac.uk/supported/${MY_MAJ_VER}/${P}.tar.gz"
+HOMEPAGE="http://vips.sourceforge.net"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug fftw graphviz goffice gsl test"
+
+RDEPEND=">=dev-libs/glib-2.14:2
+	dev-libs/libxml2
+	x11-misc/xdg-utils
+	=media-libs/vips-${MY_MAJ_VER}*
+	>=x11-libs/gtk+-2.24:2
+	goffice? ( x11-libs/goffice:0.8 )
+	graphviz? ( <media-gfx/graphviz-2.30 )
+	gsl? ( sci-libs/gsl )
+	fftw? ( sci-libs/fftw:3.0 )"
+DEPEND="${RDEPEND}
+	sys-devel/bison
+	sys-devel/flex
+	test? ( media-libs/vips[jpeg,lcms,tiff] )"
+
+src_configure() {
+	econf \
+		--disable-update-desktop \
+		$(use_enable debug) \
+		$(use_with goffice libgoffice) \
+		$(use_with graphviz libgvc) \
+		$(use_with gsl) \
+		$(use_with fftw fftw3)
+}
+
+src_test() {
+	if ! use gsl; then
+		ewarn "Some tests require USE=gsl. Disabling test_math.ws tests."
+		rm test/workspaces/test_math.ws
+	fi
+	emake check
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+	dodoc AUTHORS ChangeLog THANKS
+	insinto /usr/share/icons/hicolor/128x128/apps
+	newins share/nip2/data/vips-128.png nip2.png
+
+	mv "${D}"/usr/share/doc/${PN}/* "${D}"/usr/share/doc/${PF} || die
+	rmdir "${D}"/usr/share/doc/${PN}/ || die
+	dosym /usr/share/doc/${PF}/html /usr/share/doc/${PN}/
+}
+
+pkg_preinst() {
+	gnome2_icon_savelist
+}
+
+pkg_postinst() {
+	fdo-mime_desktop_database_update
+	fdo-mime_mime_database_update
+	gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+	fdo-mime_desktop_database_update
+	fdo-mime_mime_database_update
+	gnome2_icon_cache_update
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/nip2/
@ 2017-03-22  7:17 Michał Górny
  0 siblings, 0 replies; 5+ messages in thread
From: Michał Górny @ 2017-03-22  7:17 UTC (permalink / raw
  To: gentoo-commits

commit:     1ca846a3bcaa5a5621cef73ce934a546d26a3801
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 22 06:41:07 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar 22 07:17:38 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ca846a3

media-gfx/nip2: Add missing vips[fftw?] transitory USE-dep

 media-gfx/nip2/nip2-7.38.1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/media-gfx/nip2/nip2-7.38.1.ebuild b/media-gfx/nip2/nip2-7.38.1.ebuild
index 80ca5bab837..2148877c374 100644
--- a/media-gfx/nip2/nip2-7.38.1.ebuild
+++ b/media-gfx/nip2/nip2-7.38.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -17,7 +17,7 @@ IUSE="debug fftw graphviz goffice gsl test"
 RDEPEND=">=dev-libs/glib-2.14:2
 	dev-libs/libxml2
 	x11-misc/xdg-utils
-	=media-libs/vips-${MY_MAJ_VER}*
+	=media-libs/vips-${MY_MAJ_VER}*[fftw?]
 	>=x11-libs/gtk+-2.24:2
 	goffice? ( x11-libs/goffice:0.8 )
 	graphviz? ( <media-gfx/graphviz-2.30 )


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/nip2/
@ 2017-03-22  7:17 Michał Górny
  0 siblings, 0 replies; 5+ messages in thread
From: Michał Górny @ 2017-03-22  7:17 UTC (permalink / raw
  To: gentoo-commits

commit:     a96647b58c300115b51972184d8be6e7994200fe
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 22 07:16:33 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar 22 07:17:38 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a96647b5

media-gfx/nip2: Require fftw for tests

 media-gfx/nip2/nip2-7.38.1.ebuild | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/media-gfx/nip2/nip2-7.38.1.ebuild b/media-gfx/nip2/nip2-7.38.1.ebuild
index 2148877c374..9c07ea98c21 100644
--- a/media-gfx/nip2/nip2-7.38.1.ebuild
+++ b/media-gfx/nip2/nip2-7.38.1.ebuild
@@ -28,6 +28,9 @@ DEPEND="${RDEPEND}
 	sys-devel/flex
 	test? ( media-libs/vips[jpeg,lcms,tiff] )"
 
+# lots of tests use fftw transforms
+REQUIRED_USE="test? ( fftw )"
+
 src_configure() {
 	econf \
 		--disable-update-desktop \


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/nip2/
@ 2017-04-17 10:01 Ulrich Müller
  0 siblings, 0 replies; 5+ messages in thread
From: Ulrich Müller @ 2017-04-17 10:01 UTC (permalink / raw
  To: gentoo-commits

commit:     182444c044c9e964505d9f8449bd90d5cb60d919
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 17 09:59:03 2017 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Mon Apr 17 10:01:39 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=182444c0

media-gfx/nip2: [QA] Use complete path as second argument of dosym.

Also make a relative symlink rather than absolute.

Bug: 379899
Package-Manager: Portage-2.3.5, Repoman-2.3.2

 media-gfx/nip2/nip2-7.38.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-gfx/nip2/nip2-7.38.1.ebuild b/media-gfx/nip2/nip2-7.38.1.ebuild
index 9c07ea98c21..1fbed7e2f58 100644
--- a/media-gfx/nip2/nip2-7.38.1.ebuild
+++ b/media-gfx/nip2/nip2-7.38.1.ebuild
@@ -57,7 +57,7 @@ src_install() {
 
 	mv "${D}"/usr/share/doc/${PN}/* "${D}"/usr/share/doc/${PF} || die
 	rmdir "${D}"/usr/share/doc/${PN}/ || die
-	dosym /usr/share/doc/${PF}/html /usr/share/doc/${PN}/
+	dosym ../${PF}/html /usr/share/doc/${PN}/html
 }
 
 pkg_preinst() {


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-gfx/nip2/
@ 2018-01-28 16:29 Mikle Kolyada
  0 siblings, 0 replies; 5+ messages in thread
From: Mikle Kolyada @ 2018-01-28 16:29 UTC (permalink / raw
  To: gentoo-commits

commit:     7ad9b7c6ba079fe9302e0e54e0a3fba5ff5959a6
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 28 16:28:43 2018 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Sun Jan 28 16:28:59 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ad9b7c6

media-gfx/nip2: remove last rited package

 media-gfx/nip2/Manifest           |  1 -
 media-gfx/nip2/metadata.xml       | 14 -------
 media-gfx/nip2/nip2-7.38.1.ebuild | 77 ---------------------------------------
 3 files changed, 92 deletions(-)

diff --git a/media-gfx/nip2/Manifest b/media-gfx/nip2/Manifest
deleted file mode 100644
index 253460c87fd..00000000000
--- a/media-gfx/nip2/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST nip2-7.38.1.tar.gz 9507197 BLAKE2B cd3717128c220cf782e2327b31b551458ef43ef600056ce6337b8a0bb4320c99bb1177900bac904ff6d009b29dd624109fbee4bcc8ce4bd26a58949d1fa84266 SHA512 e5164a73a468d3aa90ef4c15d77243a285a8941393f5c3766fe83fcc4d518440ce4ac357acb75699e4877f7b47dc2c3e9097f67ed4080617af0a99e28721192f

diff --git a/media-gfx/nip2/metadata.xml b/media-gfx/nip2/metadata.xml
deleted file mode 100644
index 1bc39a2f541..00000000000
--- a/media-gfx/nip2/metadata.xml
+++ /dev/null
@@ -1,14 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-	<maintainer type="project">
-		<email>graphics@gentoo.org</email>
-		<name>Gentoo Graphics Project</name>
-	</maintainer>
-	<use>
-		<flag name="goffice">use <pkg>x11-libs/goffice</pkg> to show plots</flag>
-	</use>
-	<upstream>
-		<remote-id type="sourceforge">vips</remote-id>
-	</upstream>
-</pkgmetadata>

diff --git a/media-gfx/nip2/nip2-7.38.1.ebuild b/media-gfx/nip2/nip2-7.38.1.ebuild
deleted file mode 100644
index 1fbed7e2f58..00000000000
--- a/media-gfx/nip2/nip2-7.38.1.ebuild
+++ /dev/null
@@ -1,77 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-inherit fdo-mime gnome2-utils versionator
-
-MY_MAJ_VER=$(get_version_component_range 1-2)
-DESCRIPTION="VIPS Image Processing Graphical User Interface"
-SRC_URI="http://www.vips.ecs.soton.ac.uk/supported/${MY_MAJ_VER}/${P}.tar.gz"
-HOMEPAGE="http://vips.sourceforge.net"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="debug fftw graphviz goffice gsl test"
-
-RDEPEND=">=dev-libs/glib-2.14:2
-	dev-libs/libxml2
-	x11-misc/xdg-utils
-	=media-libs/vips-${MY_MAJ_VER}*[fftw?]
-	>=x11-libs/gtk+-2.24:2
-	goffice? ( x11-libs/goffice:0.8 )
-	graphviz? ( <media-gfx/graphviz-2.30 )
-	gsl? ( sci-libs/gsl )
-	fftw? ( sci-libs/fftw:3.0 )"
-DEPEND="${RDEPEND}
-	sys-devel/bison
-	sys-devel/flex
-	test? ( media-libs/vips[jpeg,lcms,tiff] )"
-
-# lots of tests use fftw transforms
-REQUIRED_USE="test? ( fftw )"
-
-src_configure() {
-	econf \
-		--disable-update-desktop \
-		$(use_enable debug) \
-		$(use_with goffice libgoffice) \
-		$(use_with graphviz libgvc) \
-		$(use_with gsl) \
-		$(use_with fftw fftw3)
-}
-
-src_test() {
-	if ! use gsl; then
-		ewarn "Some tests require USE=gsl. Disabling test_math.ws tests."
-		rm test/workspaces/test_math.ws
-	fi
-	emake check
-}
-
-src_install() {
-	emake DESTDIR="${D}" install
-	dodoc AUTHORS ChangeLog THANKS
-	insinto /usr/share/icons/hicolor/128x128/apps
-	newins share/nip2/data/vips-128.png nip2.png
-
-	mv "${D}"/usr/share/doc/${PN}/* "${D}"/usr/share/doc/${PF} || die
-	rmdir "${D}"/usr/share/doc/${PN}/ || die
-	dosym ../${PF}/html /usr/share/doc/${PN}/html
-}
-
-pkg_preinst() {
-	gnome2_icon_savelist
-}
-
-pkg_postinst() {
-	fdo-mime_desktop_database_update
-	fdo-mime_mime_database_update
-	gnome2_icon_cache_update
-}
-
-pkg_postrm() {
-	fdo-mime_desktop_database_update
-	fdo-mime_mime_database_update
-	gnome2_icon_cache_update
-}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2018-01-28 16:29 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-01-28 16:29 [gentoo-commits] repo/gentoo:master commit in: media-gfx/nip2/ Mikle Kolyada
  -- strict thread matches above, loose matches on Subject: below --
2017-04-17 10:01 Ulrich Müller
2017-03-22  7:17 Michał Górny
2017-03-22  7:17 Michał Górny
2016-09-14 10:49 Andrew Savchenko

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox